package cn.quant.baa.pay.model.dto;

import cn.quant.baa.pay.dict.StatusCode;
import cn.quant.spring.data.jpa.PersistentObject;

import java.io.Serializable;

/**
 * Created by Administrator on 2021/9/13 0013.
 */
public class StatusCodeDTO implements PersistentObject, Serializable {
    private static final long serialVersionUID = 952357481570545998L;
    private String institutionId;
    private String entity;
    private StatusCode code;
    private Integer priority;
    private String codeType;
    private String postingCode;
    private Boolean sendNoticeFlag;
    private StatusCode regrCode;
    private StatusCode failedCode;
    private StatusCode nextCode;
    private String messageCode;

    public String getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getEntity() {
        return entity;
    }

    public void setEntity(String entity) {
        this.entity = entity;
    }

    public StatusCode getCode() {
        return code;
    }

    public void setCode(StatusCode code) {
        this.code = code;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getCodeType() {
        return codeType;
    }

    public void setCodeType(String codeType) {
        this.codeType = codeType;
    }

    public String getPostingCode() {
        return postingCode;
    }

    public void setPostingCode(String postingCode) {
        this.postingCode = postingCode;
    }

    public Boolean getSendNoticeFlag() {
        return sendNoticeFlag;
    }

    public void setSendNoticeFlag(Boolean sendNoticeFlag) {
        this.sendNoticeFlag = sendNoticeFlag;
    }

    public StatusCode getRegrCode() {
        return regrCode;
    }

    public void setRegrCode(StatusCode regrCode) {
        this.regrCode = regrCode;
    }

    public StatusCode getFailedCode() {
        return failedCode;
    }

    public void setFailedCode(StatusCode failedCode) {
        this.failedCode = failedCode;
    }

    public StatusCode getNextCode() {
        return nextCode;
    }

    public void setNextCode(StatusCode nextCode) {
        this.nextCode = nextCode;
    }

    public String getMessageCode() {
        return messageCode;
    }

    public void setMessageCode(String messageCode) {
        this.messageCode = messageCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("StatusCodeDTO{");
        sb.append("institutionId='").append(institutionId).append('\'');
        sb.append(", entity='").append(entity).append('\'');
        sb.append(", code='").append(code).append('\'');
        sb.append(", priority=").append(priority);
        sb.append(", codeType='").append(codeType).append('\'');
        sb.append(", postingCode='").append(postingCode).append('\'');
        sb.append(", sendNoticeFlag=").append(sendNoticeFlag);
        sb.append(", regrCode='").append(regrCode).append('\'');
        sb.append(", failedCode='").append(failedCode).append('\'');
        sb.append(", nextCode='").append(nextCode).append('\'');
        sb.append(", messageCode='").append(messageCode).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
